Page MenuHomePhabricator

"wikidata-federation" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the wikidata-federation project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM

@Cparle @matthiasmullie @egardner I don't believe we use this on our side.
Do you use it ? :)

We have been using it in the past - unsure if we plan to use it anymore - let me ask around

federated-commons and federated-wikidata can be probably removed.
There's one more instance on there that is still being used (not on Jessie, though): sdc-test-runner - this one should stay.

Just pinging @Cparle to make sure he's no longer using these instances for anything anymore either.

@Cparle also no longer needs them.
I suspect no-one else needs these anymore, but speak up if you do! I'll wait another week before removing them.

matthiasmullie closed this task as Resolved.Nov 12 2019, 11:05 AM
matthiasmullie claimed this task.

federated-commons.wikidata-federation.eqiad.wmflabs & federated-wikidata.wikidata-federation.eqiad.wmflabs have been deleted